namespace NXyn.Aux
    open System

    module ResizeArrayMisc = 

        let bubbleSortStep (isOrdered:'a -> 'a -> Boolean) (arr:ResizeArray<'a>) =
                           let rec loop(i) = if i > 0 then let el0 = arr.[i-1]
                                                           let el1 = arr.[i]
                                                           if not(isOrdered el0 el1) then arr.[i-1] <- el1
                                                                                          arr.[i]   <- el0
                                                                                          loop(i-1)
                           loop(arr.Count-1)
